Screen lock button missing when using LightDM

Bug #1684205 reported by Jeremy Bicha on 2017-04-19
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Medium
Unassigned
gnome-shell (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
Zesty
Medium
Unassigned

Bug Description

Impact
======
A user who installs gnome-shell in Ubuntu 17.04 and earlier is asked to choose between gdm and lightdm. If the user chooses lightdm, the GNOME session will not have a lock button in the system status menu in the top right corner.

Workaround
==========
The keyboard shortcut Super+L still works to lock your screen.

Test Case
=========
1. a. From Ubuntu GNOME 17.04, install unity-greeter. Choose lightdm as your default.
   b. Restart
   c. Log in to GNOME
   d. Click the far right of the top bar. Make sure that the lock button exists. Click it. Your screen should lock.

Or
1. a. From Ubuntu (Unity) 17.04, install ubuntu-gnome-desktop or gnome-shell. Choose lightdm as your default if asked.
   b. Restart
   c. Log in to GNOME
   d. Click the far right of the top bar. Make sure that the lock button exists. Click it. Your screen should lock.

2. Make sure that the screen lock also still works if you use GDM instead.

Regression Potential
====================
This patch update just allows LightDM to lock the screen if GDM is not running.

Other Info
==========
GNOME didn't accept our LightDM patches when we proposed them a few years ago, so this will just need to be fixed in Ubuntu for now.

Jeremy Bicha (jbicha) on 2017-04-19
description: updated
Changed in ubuntu-gnome:
importance: Undecided → Medium
status: New → Triaged
milestone: none → zesty
Jeremy Bicha (jbicha) on 2017-05-15
Changed in gnome-shell (Ubuntu):
status: Triaged → Fix Committed
Changed in gnome-shell (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → Medium
Changed in gnome-shell (Ubuntu Xenial):
importance: Undecided → Medium
status: New → Triaged
Changed in gnome-shell (Ubuntu Yakkety):
importance: Undecided → Medium
status: New → Triaged
Changed in gnome-shell (Ubuntu Zesty):
status: New → Triaged
importance: Undecided → Medium
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.24.2-0ubuntu3

---------------
gnome-shell (3.24.2-0ubuntu3) artful; urgency=medium

  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)

 -- Jeremy Bicha <email address hidden> Sun, 14 May 2017 21:42:39 -0400

Changed in gnome-shell (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) on 2017-05-15
Changed in gnome-shell (Ubuntu Xenial):
status: Triaged → In Progress
Changed in gnome-shell (Ubuntu Yakkety):
status: Triaged → In Progress
Changed in gnome-shell (Ubuntu Zesty):
status: Triaged → In Progress

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.24.2-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Łukasz Zemczak (sil2100) wrote :

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.20.4-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Yakkety):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.18.5-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Xenial):
status: In Progress → Fix Committed
Jeremy Bicha (jbicha) wrote :

From Ubuntu (Unity) 16.04, 16.10 and 17.04, I enabled -proposed updated and installed gnome-shell. I logged out of Unity and logged into GNOME. I verified that the Lock button is present and works now. Ubuntu (Unity) uses LightDM and I did not switch to a different display manager.

gnome-shell 3.18.5-0ubuntu0.3 (16.04)
gnome-shell 3.20.4-0ubuntu3 (16.10)
gnome-shell 3.24.2-0ubuntu0.1 (17.04)

tags: added: trusty verification-done xenial yakkety zesty
removed: verification-needed
tags: added: verification-done-xenial verification-done-yakkety verification-done-zesty
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.18.5-0ubuntu0.3

---------------
gnome-shell (3.18.5-0ubuntu0.3) xenial; urgency=medium

  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)
  * Recommend chrome-gnome-shell, needed for Firefox, Chromium, Chrome and
    Opera to work with https://extensions.gnome.org/ (LP: #1672175)

 -- Jeremy Bicha <email address hidden> Sat, 13 May 2017 17:46:47 -0400

Changed in gnome-shell (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-shell has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.20.4-0ubuntu3

---------------
gnome-shell (3.20.4-0ubuntu3) yakkety; urgency=medium

  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)
  * Recommend chrome-gnome-shell, needed for Firefox, Chromium, Chrome and
    Opera to work with https://extensions.gnome.org/ (LP: #1672175)

 -- Jeremy Bicha <email address hidden> Mon, 15 May 2017 18:38:18 -0400

Changed in gnome-shell (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.24.2-0ubuntu0.1

---------------
gnome-shell (3.24.2-0ubuntu0.1) zesty; urgency=medium

  * New upstream release (LP: #1690182)
  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)

 -- Jeremy Bicha <email address hidden> Mon, 15 May 2017 18:36:22 -0400

Changed in gnome-shell (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers